-- +goose Up
CREATE TYPE transaction_status AS ENUM (
  'Reconciled',
  'Cleared',
  'Uncleared'
);

ALTER TABLE transactions ADD COLUMN status transaction_status NOT NULL DEFAULT 'Uncleared';

-- +goose Down
ALTER TABLE transactions DROP COLUMN status;
DROP TYPE transaction_status;
